Package de.gebit.integrity.parameter.conversion

## Enum RegexValueHandling

- java.lang.Object
- - java.lang.Enum<RegexValueHandling>
  - - de.gebit.integrity.parameter.conversion.RegexValueHandling

- All Implemented Interfaces:
    `Serializable`, `Comparable<RegexValueHandling>`

      public enum RegexValueHandling
      extends Enum<RegexValueHandling>

  This enum offers various ways in which regex values (`RegexValue`) may be handled during conversion.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONVERT` | Regex values should be converted normally - which most likely means they will end up as a `String`.
    `KEEP_AS_IS` | Regex values will not be converted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RegexValueHandling` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RegexValueHandling[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONVERT

          public static final RegexValueHandling CONVERT

      Regex values should be converted normally - which most likely means they will end up as a `String`.

      This is the default if not specified otherwise in a `ConversionContext`.

    - #### KEEP_AS_IS

          public static final RegexValueHandling KEEP_AS_IS

      Regex values will not be converted.

  - ### Method Detail

    - #### values

          public static RegexValueHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegexValueHandling c : RegexValueHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegexValueHandling valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null